/*
Copyright © 2022 Brian Buller <brian@bullercodeworks.com>
*/
package cmd

import (
	"git.bullercodeworks.com/brian/gime/cli"
	"git.bullercodeworks.com/brian/gime/ui"
	"github.com/spf13/cobra"
)

// uiCmd represents the ui command
var uiCmd = &cobra.Command{
	Use:   "ui",
	Short: "Start gime in TUI mode",
	RunE:  opUi,
}

func init() {
	rootCmd.AddCommand(uiCmd)
}

func opUi(cmd *cobra.Command, args []string) error {
	p := &cli.Program{}
	return ui.RunTUI(p)
}
